Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740924 - cronjobs using UTC time instead of the node's timezone
Summary: cronjobs using UTC time instead of the node's timezone
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Russell Teague
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 21:02 UTC by Miguel Figueiredo Nunes
Modified: 2019-11-19 15:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-19 15:44:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miguel Figueiredo Nunes 2019-08-13 21:02:23 UTC
Description of problem:
Cronjobs using a timezone different from the node where they're running

Version-Release number of selected component (if applicable):
3.10
3.11

How reproducible:
Everytime

Steps to Reproduce:
1. Create a cronjob
2. Schedule it on Openshift
3. Wait for the job to run

Actual results:
Cronjob running in the wrong time, running on UTC time

Expected results:
Cronjob running at the timezone defined on the node where it runs

Additional info:
It was provided a solution to the customer, but it's asking for a solution that not depends on changes that needs cluster-admin rights to be done

Comment 1 Scott Dodson 2019-08-16 21:34:33 UTC
Customer has a workaround, lowering severity and priority back to baseline.

Please determine which version of openshift-ansible was used to upgrade to 3.10 or 3.11.

Comment 2 Miguel Figueiredo Nunes 2019-08-26 14:18:42 UTC
Hi,

The user used the ansible-2.4.6.0-1.el7ae.noarch package.

The upgrade came from 3.9->3.10

Best,


Note You need to log in before you can comment on or make changes to this bug.